* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.aboutMe {
    margin-top: 3em;
}

.cardTeacher a {
    color: #05588b;
}

body {
    overflow-x: hidden;
    width: 100%;
    height: auto;
    font-family: 'Outfit';
    color: #333333;
}

.johannes-section.johannes-section-margin-alt {
    width: 100%;
    height: 100%;
    min-width: 100%;
    display: none;
}


.section-content.row.justify-content-center {
    margin: 0;
    width: 100%;
    height: 100%;
    min-width: 100%;
}


.col-12.col-lg-8.single-md-content.col-md-special.johannes-order-1 {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    min-width: 100%;
}

.johannes-bg-alt-2.johannes-related {
    display: none;
}

.container {
    padding: 0;
    width: 100%;
    height: 100%;
    min-width: 100%;
}

.containerTitle {
    padding: 2% 0%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1.titleGroupCover {
    font-size: 3em;
    color: #05588B;
    font-family: 'Outfit';
}



.faqAPI1,
.faqAPI {
    padding: 0 12%;
}

.faqAPI .qText {
    padding: 0%;
}

.faqAPI1 .qText {
    padding: 0%;
}

.faqAPI>div:nth-of-type(odd),
.faqAPI1>div:nth-of-type(odd) {
    background-color: rgba(5, 88, 139, 0.15);
}


.question {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: relative;
    transition: all 0.35s ease-in-out;
    padding: 0% 1%;
}

.createSpace {
    margin-bottom: 260px;
}

.qText p {
    font-family: 'Outfit';
    color: #05588C;
    font-size: 1.5em;
    font-weight: 200;
    margin: 0;
}

.qText {
    max-width: 90%;
    margin: auto;
    text-align: center;

}


.qImg svg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.35s ease-in-out;
}

.qImg {
    width: 3%;
    height: auto;
    min-width: 30px;
    min-height: 30px;
    margin: 1%;
}

@keyframes arrowRotate {
    0% {
        rotate: 0deg;
    }

    100% {
        rotate: 90deg;
    }
}

@keyframes arrowRotate1 {
    0% {
        rotate: 0deg;
    }

    100% {
        rotate: 180deg;
    }
}

.arrowRotate {
    animation: arrowRotate ease-in-out 0.35s;
    rotate: 90deg;
}

.answer {
    position: absolute;
    top: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5em;
    justify-content: center;
    transition: all 0.35s ease-in-out;
    height: 0px;
    left: 0%;
}

.answerOpen {
    height: 260px !important;
}

.aText {
    max-height: 200px;
    overflow: auto;
}

.aText p {
    text-align: center;
    font-family: 'Outfit';
    color: black;
    padding-left: 20%;
    padding-right: 20%;
    font-size: 1.5em;
    font-weight: 200;
}

.faqAPI1 .aText p {
    padding: 0 10%;
}

/*//////////// Apartado Teachers \\\\\\\\\\\*/

.teachers {
    padding: 2% 12%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.buttonsTeachers {
    gap: 8%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 70%;
}

button.buttonTeacher {
    font-family: 'Outfit';
    background: none;
    border: none;
    font-size: 1.5em;
    font-weight: 200;
    color: #767676;
    transition: all .15s ease-in-out;
    position: relative;

}

button.buttonTeacher:hover {
    color: #05588b;
    font-weight: 400;
    transition: all 0.25s ease-in-out;
    /* font-size: 1.7em; */
}

.buttonTeacher.active {
    color: #05588B;
    font-weight: 400;
}


button.buttonTeacher.active {
    color: #05588B;
    font-weight: 400;
}

button.buttonTeacher::after {
    content: '';
    display: block;
    width: 100%;
    height: 2px;
    background-color: #05588B;
    position: absolute;
    bottom: -5px; /* Ajusta según sea necesario */
    left: 0;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.25s ease-in-out;
}

button.buttonTeacher.active::after {
    transform: scaleX(1);
}




.cardTeacher {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    width: 100%;
    padding: 2% 0;
}

.imgName {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2% 2% 0 0;
}

.containerImages {
    width: 100%;
    position: relative;
}

.containerImages img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50%;
    aspect-ratio: 1/1;
}

.teacherContText {
    flex: 1;
    padding: 2% 0 0 2%;
}

.textBoldTitle {
    font-size: 2.3em;
    font-weight: 700;
    color: #05588B;
    font-family: 'Outfit';
}

.grayBackground .textBoldTitle {
    color: #05588B !important;
}

p.textBoldTitle.MoreSizeBold {
    color: #1D252C;
    font-size: 2.1em;
}

.textExtraLight {
    font-size: 1.7em;
    font-weight: 200;
}




/*///////////////// Compromiso \\\\\\\\\\\\\\\\\\\\*/

.plazasContentExplain {
    display: flex;
    flex-direction: row;
    margin: 4% 0 0;
}

.plazasExplainCardText {
    margin: 10%;
    text-align: left;
}

.plazasLeft {
    margin-left: 20%;
}

.plazasRight {
    margin-right: 20%;
}

.grayBackground {
    background-color: #1b94de26;
    color: #05588B;
}

.plazasExplainCard {
    flex: 1;
}



.aboutMe h2 {
    text-align: center !important;
    margin: 6%;
}

.displayNone {
    display: none;
}

.teacherActive {
    display: flex !important;
}

.opacity1 {
    animation: opIn ease-in-out 0.6s forwards;
}

@keyframes opIn {
    0% {
        display: flex;
        opacity: 0.01;
    }

    100% {
        opacity: 1;
    }
}

.loader {
    background: none !important;
    width: 8%;
    margin: auto;
}

/* /Scroll */
.answer .aText::-webkit-scrollbar {
    -webkit-appearance: none;
}

.answer .aText::-webkit-scrollbar:vertical {
    width: 10px;
}

.answer .aText::-webkit-scrollbar-button:increment,
body::-webkit-scrollbar-button {
    display: none;
}

.answer .aText::-webkit-scrollbar:horizontal {
    height: 5px;
}

.answer .aText::-webkit-scrollbar-thumb {
    background-color: #05588C;
    border-radius: 20px;
    border: 2px solid #f1f2f3;
}

.answer .aText::-webkit-scrollbar-track {
    border-radius: 10px;
}


/*////////// RESPONSIVE \\\\\\\\\\\\\*/
@media screen and (max-width: 1600px) and (min-width: 1100px) {


    .CoursesCoverText .textExtraLight {
        width: 85%;
    }

    .container {
        font-size: 0.8vw;
    }

    .whatsapp {
        width: 5%;

    }

    .qText p {
        font-size: 1.7em;
    }
}

@media screen and (max-width: 1100px) and (min-width: 500px) {
    .faqAPI {
        padding: 0%;
    }

    .faqAPI1 {
        padding: 0% 12%;
    }

    .faqAPI1 .question {
        display: flex;
        flex-direction: column;
        padding: 0% 1%;
    }

    .faqAPI1 .arrowRotate {
        animation: arrowRotate1 ease-in-out 0.35s;
        rotate: 180deg;
    }

    .svgContainer {
        transform: rotate(270deg);
    }

    .question {
        padding: 0 3%;
    }

    .cardTeacher {
        display: flex;
        align-items: stretch;
        flex-direction: column;
    }

    .imgName {
        flex: 1;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        padding: 2% 2% 0 0;
    }

    .containerImages img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        aspect-ratio: 1.5/1;
    }

    .plazasExplainCardText {
        margin: 10%;
        text-align: center;
    }

    .plazasContentExplain {
        flex-direction: column;
    }

    .aText p {
        padding: 0 10%;
        font-size: 1.3em;
    }

    .plazasLeft {
        margin: 5% 12%;
    }

    .plazasRight {
        margin: 5% 12%;
    }

    .aText {
        max-height: 315px;
        overflow: auto;
    }
}

@media screen and (max-width: 500px) {

    .container {
        font-size: 3.2vw;
    }

    .faqAPI1,
    .faqAPI {
        padding: 0%;
    }

    .faqAPI1 .question {
        display: flex;
        flex-direction: column;
        padding: 0% 1%;
    }

    .faqAPI1 .arrowRotate {
        animation: arrowRotate1 ease-in-out 0.35s;
        rotate: 180deg;
    }

    .svgContainer {
        transform: rotate(270deg);
    }

    .question {
        padding: 0 3%;
    }

    .cardTeacher {
        display: flex;
        align-items: stretch;
        flex-direction: column;
    }

    .imgName {
        flex: 1;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        padding: 2% 2% 0 0;
    }

    .containerImages img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        aspect-ratio: 1.5/1;
    }

    .plazasExplainCardText {
        margin: 10%;
        text-align: center;
    }

    .plazasContentExplain {
        flex-direction: column;
    }

    .aText p {
        padding: 0 10%;
        font-size: 1.3em;
    }

    .plazasLeft {
        margin: 5% 12%;
    }

    .plazasRight {
        margin: 5% 12%;
    }

    .aText {
        max-height: 315px;
        overflow: auto;
    }
}

  html body .aButton a {
        font-family: 'Outfit';
        font-size: 1.1em;
        border: 1px solid #05588B;
        text-decoration: none!important;
        padding: 0.3em 4em 0.4em 4em;
        white-space: nowrap;
        color: #05588B;
        cursor: pointer;
        position: relative;
        display: flex;
        overflow: hidden;
        transition: all 0.35s ease-in-out!important;
        background: transparent;
      transform:translateY(-10px)
    }
    
    
    .aButton a:after {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        transition: all 0.35s ease-in-out;
        box-shadow:#05588C 0px 0px 0px inset;
        z-index:-1;
    }
    
    .aButton:hover a::after{
        box-shadow:#05588C 0px 0px 0px 5em inset;
    }
    
    html body .aButton:hover a{
        color: white!important
    }

.teacherContText {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.teacherContText .aButton a {
    width: fit-content;
}
.teacherContText>.textExtraLight {
    margin-bottom: 2em;
}
.buttonsWrapper{
    position: relative;
    width: 100%;
}

.buttonsTeachers {
    gap: 8%;
    display: flex
;
    align-items: center;
    justify-content: flex-start;
    width: 70%;
    flex-wrap: nowrap;
    max-width: 50%;
    overflow-x: auto;
    margin: 0 auto;
    overflow-y: hidden;
    padding-top: 15px;
    white-space: nowrap;
    padding-bottom: 1em;
}


.buttonsTeachers::-webkit-scrollbar-thumb {
    background-color: #05588C;
    border-radius: 20px;
    border: 2px solid #f1f2f3;
}

.buttonsTeachers::-webkit-scrollbar {
    height: 16px;
}

.chevronForward {
    position: absolute;
    background-image: url("data:image/svg+xml,%3Csvg height='200px' width='200px' version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 185.343 185.343' xml:space='preserve' fill='%23000000'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Cg%3E%3Cg%3E%3Cpath style='fill:%2305588C;' d='M51.707,185.343c-2.741,0-5.493-1.044-7.593-3.149c-4.194-4.194-4.194-10.981,0-15.175 l74.352-74.347L44.114,18.32c-4.194-4.194-4.194-10.987,0-15.175c4.194-4.194,10.987-4.194,15.18,0l81.934,81.934 c4.194,4.194,4.194,10.987,0,15.175l-81.934,81.939C57.201,184.293,54.454,185.343,51.707,185.343z'%3E%3C/path%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    top: 70%;
    left: 77%;
    transform: translateY(-103%);
    background-position: center;
    background-size: contain;
    width: 40px;
    background-repeat: no-repeat;
    height: 40px;
    transition: all 0.25s ease-in-out;
    cursor: pointer;
}
.chevronBack {
    position: absolute;
    background-image: url("data:image/svg+xml,%3Csvg height='200px' width='200px' version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 185.343 185.343' xml:space='preserve' fill='%23000000'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Cg%3E%3Cg%3E%3Cpath style='fill:%2305588C;' d='M133.636,185.343c2.741,0,5.493-1.044,7.593-3.149c4.194-4.194,4.194-10.981,0-15.175l-74.352-74.347 l74.352-74.352c4.194-4.194,4.194-10.987,0-15.175c-4.194-4.194-10.987-4.194-15.18,0L37.115,81.934 c-4.194,4.194-4.194,10.987,0,15.175l81.934,81.939C128.142,184.293,130.889,185.343,133.636,185.343z'%3E%3C/path%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
    top: 70%;
    right: 78%;
    transform: translateY(-103%);
    background-position: center;
    background-size: contain;
    width: 40px;
    background-repeat: no-repeat;
    height: 40px;
    transition: all 0.25s ease-in-out;
    cursor: pointer;
}

@media only screen and (min-width:200px) and (max-width:1100px){

    .buttonsTeachers{
        padding-top: 34px;
        width: 100%;
        max-width: 94%; 
    }
    button.buttonTeacher {
        font-size: 1.2em;
    }
    .chevronForward {
        left: 99%;
        transform: translateY(calc(-50% + -15px));
    }
    .chevronBack {
        right: 99%;
        transform: translateY(calc(-50% + -16px));
    }
}